Interface GuavaEventBusEndpointBuilderFactory.GuavaEventBusBuilders
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
- GuavaEventBusEndpointBuilderFactory
public static interface GuavaEventBusEndpointBuilderFactory.GuavaEventBusBuilders
-
Method Summary
Modifier and TypeMethodDescriptionguavaEventbus(String path) Guava EventBus (camel-guava-eventbus) Send and receive messages to/from Guava EventBus.guavaEventbus(String componentName, String path) Guava EventBus (camel-guava-eventbus) Send and receive messages to/from Guava EventBus.
-
Method Details
-
guavaEventbus
Guava EventBus (camel-guava-eventbus) Send and receive messages to/from Guava EventBus. Category: messaging Since: 2.10 Maven coordinates: org.apache.camel:camel-guava-eventbus Syntax:guava-eventbus:eventBusRefPath parameter: eventBusRef To lookup the Guava EventBus from the registry with the given name- Parameters:
path- eventBusRef- Returns:
- the dsl builder
-
guavaEventbus
default GuavaEventBusEndpointBuilderFactory.GuavaEventBusEndpointBuilder guavaEventbus(String componentName, String path) Guava EventBus (camel-guava-eventbus) Send and receive messages to/from Guava EventBus. Category: messaging Since: 2.10 Maven coordinates: org.apache.camel:camel-guava-eventbus Syntax:guava-eventbus:eventBusRefPath parameter: eventBusRef To lookup the Guava EventBus from the registry with the given name- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- eventBusRef- Returns:
- the dsl builder
-